# Export users and user events Downloads all subscribers and subscriber events data in csv format. - To download subscribers data, specify the attributes query parameter to true, and use the attr, appIds, appIdsRestrictive, grants, since, registeredSince, registeredBefore, foreignKeys query parameters. - To download subscriber events data, specify the eventsExport query parameter to true, and use the from and to query parameters. - For pagination, use the rpp and page query parameters Endpoint: GET /v4/user-export Version: 2026-01-08 Security: ZephrHmacHttp ## Query parameters: - `attributes` (boolean) Whether or not to include core attributes Example: "true" - `attr` (string) Comma-delimited list of user attribute filters in the following format: attributeKey.operation.value or attributeKey.operation.value1.value2. Example: "attr1.contains.a,attr2.equals.3" - `appIds` (string) Comma-delimited list of appIds to retrieve extended profile data for. If appIds is present and attributes isn't, only users with matching extended profiles will be returned. Use all to retrieve all extended profile data. Example: "quiz1,survey4,all" - `appIdsRestrictive` (boolean) Only include users with a matching extended profile Example: "true" - `grants` (boolean) Include information about entitlements Example: "true" - `since` (string) Users who were updated after the specified date Example: "2020-01-01T00:00:00Z" - `registeredSince` (string) Users who have registered after the specified date Example: "2020-01-01T00:00:00Z" - `registeredBefore` (string) Users who have registered before the specified date Example: "2020-01-01T00:00:00Z" - `foreignKeys` (boolean) Include user foreign keys Example: "true" - `eventsExport` (string) Indicates to export the subscriber events csv file - `from` (string) Subscriber event after the specified date Example: "2020-01-01T00:00:00Z" - `to` (string) Subscriber event before the specified date Example: "2020-01-02T00:00:00Z" - `rpp` (number) Results per page Example: 40 - `page` (number) The requested page of results Example: 1 ## Response 200 fields (application/json): - `results` (array) - `results.seq-no` (number) Example: 1 - `results.user` (object, required) - `results.user.identifiers` (object, required) - `results.user.identifiers.email_address` (string) Example: "joe.blow@company.com" - `results.user.attributes` (object) - `results.user.attributes.first_name` (string) Example: "Joe" - `results.user.attributes.surname` (string) Example: "Blow" - `results.grants` (object) - `meta` (object) - `meta.count` (number) Example: 100 - `meta.rpp` (number) Example: 20 - `meta.paginated` (boolean) Example: true - `links` (object) - `links.first` (object) - `links.first.url` (string) The link's url Example: "https://example.com?rpp=10" - `links.first.page` (number) The page number the link is pointing to Example: 1 - `links.last` (object) - `links.previous` (object) - `links.next` (object)